Bug 997915 - Backport new QAPI parser proactively to help developers and avoid silly conflicts
Backport new QAPI parser proactively to help developers and avoid silly confl...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Markus Armbruster
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-16 09:37 EDT by Markus Armbruster
Modified: 2014-06-17 23:34 EDT (History)
7 users (show)

See Also:
Fixed In Version: qemu-kvm-1.5.3-25.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:59:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Markus Armbruster 2013-08-16 09:37:02 EDT
Description of problem:
Our QAPI parser is a hack.  It works fine as long as the input is
within the hack's restrictions.  If not, it can crash, or screw up
silently.

I replaced it upstream:

f1a145e qapi.py: Permit comments starting anywhere on the line
28b8bd4 qapi.py: Rename expr_eval to expr in parse_schema()
5f3cd2b qapi.py: Fix diagnosing non-objects at a schema's top-level
6974ccd qapi.py: Fix schema parser to check syntax systematically
9213aa5 qapi.py: Reject invalid characters in schema file
2caba36 qapi.py: Decent syntax error reporting
c7a3f25 qapi.py: Restructure lexer and parser
4f193e3 tests: Use qapi-schema-test.json as schema parser test
9862657 tests: QAPI schema parser tests

I want this in RHEL-7 right away to give us decent error messages when
we change the QAPI schema, and to avoid silly conflicts.

How reproducible:
N/A

Steps to Reproduce:
N/A
Comment 2 juzhang 2013-12-10 21:06:08 EST
KVM QE will do acceptance testing and qmp functional testing once this bug is fixed.
Comment 8 Ludek Smid 2014-06-13 05:59:30 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.